
function [gx,gy,gxx,gxy,gyy] = calculate_gradients_simple(img,GRADIENTS_CALCULATION)


if(GRADIENTS_CALCULATION==0)

    [H,W] = size(img);

    gx = zeros(H,W);
    gy = zeros(H,W);

    j = 1:H;
    k = 1:W-1;
    gx(j,k) = img(j,k+1) - img(j,k);
    clear j k

    j = 1:H-1;
    k = 1:W;
    gy(j,k) = img(j+1,k) - img(j,k);
    clear j k

    gx = padarray(gx,[1 1],0,'both');
    gy = padarray(gy,[1 1],0,'both');
    gxx = zeros(size(gx));
    gyy = gxx;
    gxy = gxx;
    j = 1:H+1;
    k = 1:W+1;
    gyy(j+1,k) = gy(j+1,k) - gy(j,k);
    gxx(j,k+1) = gx(j,k+1) - gx(j,k);
    gxy(j+1,k) = gx(j+1,k) - gx(j,k);
    gxx = gxx(2:end-1,2:end-1);
    gyy = gyy(2:end-1,2:end-1);
    gxy = gxy(2:end-1,2:end-1);
    gx = gx(2:end-1,2:end-1);
    gy = gy(2:end-1,2:end-1);
    clear j k


end
