function [im1] = YUV2RGB_transformation(im)

[H,W,C] = size(im);

if(C==3)

    T = [ 0.299  0.587  0.114 ; ...
        -0.147  -0.289  0.436 ; ...
        0.615  -0.515  -0.100;];

    T = T';



    T = inv(T);

    ar = im(:,:,1);
    ag = im(:,:,2);
    ab = im(:,:,3);
    tr = [ar(:) ag(:) ab(:)]*T;
    clear ar ag ab

    ay = tr(:,1);
    au = tr(:,2);
    av = tr(:,3);

    clear tr

    im1(:,:,1) = reshape(ay,H,W);
    im1(:,:,2) = reshape(au,H,W);
    im1(:,:,3) = reshape(av,H,W);
else
    disp('input image is not a color image');
    im1 = im;
end



